Subject: [bug#32137] closed (Re: [bug#32137] [PATCH] gnu: Add luakit)

From: [email-masked] (Ludovic Courtès)
Date: Tue, 24 Jul 2018 10:43:36 +0200

Hello,

Raphaël Mélotte <[email-masked]> skribis:

>  From: "Ludovic Courtès" <[email-masked]>
>
>  Thanks for this first patch and welcome!  I made only minor
>  modifications (patch below):
>
>    1. Add ‘file-name’ to the source to please ‘guix lint’.
>
> I spotted the issue reported by 'guix lint', but I didn't know how to fix it. Now I do :-)

:-)

>    2. Return #t at the end of the ‘wrap’ phase. 
>
> I took inspiration from Icecat's definition but it looks like I missed this. Why is it necessary to return #t ?  

Currently the code that runs phases looks at the value they return to
determine success or failure.  That will change hopefully in the near
future, but for now we have to return a Boolean to make that clear.

>  I tried running “luakit -c /dev/null” but it insists on having an rc
>  file that explicitly creates a window, right?
>
> I've never used custom configuration files, but once installed, running only `luakit` should
> load the default files from '~/.guix-profile/etc/xdg/luakit' and open luakit's homepage.
> Does it fail if you only run `luakit` ?

Here’s what I get:

--8<---------------cut here---------------start------------->8---
$ /gnu/store/7fxcgx5vdnlggw2ffc1xamxjlxvl1w09-luakit-2017.08.10/bin/luakit

** (.luakit-real:3176): WARNING **: 10:43:15.534: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
[    0.081785] W [core/luah]: couldn't load any rc file
[    0.081813] F [core/luakit]: couldn't find rc file
--8<---------------cut here---------------end--------------->8---

Thanks,
Ludo’.